org.wildfly.swarm.config

## Class Weld<T extends Weld<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Weld<T>

- Direct Known Subclasses:
    CDIFraction

      public class Weld<T extends Weld<T>>
      extends Object

  The configuration of the weld subsystem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Weld()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `developmentMode()` Weld comes with a special mode for application development.
    `T` | `developmentMode(Boolean value)` Weld comes with a special mode for application development.
    `String` | `getKey()`
    `Boolean` | `nonPortableMode()` If true then the non-portable mode is enabled.
    `T` | `nonPortableMode(Boolean value)` If true then the non-portable mode is enabled.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `requireBeanDescriptor()` If true then implicit bean archives without bean descriptor file (beans.xml) are ignored by Weld
    `T` | `requireBeanDescriptor(Boolean value)` If true then implicit bean archives without bean descriptor file (beans.xml) are ignored by Weld
    `Integer` | `threadPoolSize()` The number of threads to be used by the Weld thread pool.
    `T` | `threadPoolSize(Integer value)` The number of threads to be used by the Weld thread pool.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Weld

          public Weld()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### developmentMode

          public Boolean developmentMode()

      Weld comes with a special mode for application development. When the development mode is enabled, certain built-in tools, which facilitate the development of CDI applications, are available. Setting this attribute to true activates the development mode.

    - #### developmentMode

          public T developmentMode(Boolean value)

      Weld comes with a special mode for application development. When the development mode is enabled, certain built-in tools, which facilitate the development of CDI applications, are available. Setting this attribute to true activates the development mode.

    - #### nonPortableMode

          public Boolean nonPortableMode()

      If true then the non-portable mode is enabled. The non-portable mode is suggested by the specification to overcome problems with legacy applications that do not use CDI SPI properly and may be rejected by more strict validation in CDI 1.1.

    - #### nonPortableMode

          public T nonPortableMode(Boolean value)

      If true then the non-portable mode is enabled. The non-portable mode is suggested by the specification to overcome problems with legacy applications that do not use CDI SPI properly and may be rejected by more strict validation in CDI 1.1.

    - #### requireBeanDescriptor

          public Boolean requireBeanDescriptor()

      If true then implicit bean archives without bean descriptor file (beans.xml) are ignored by Weld

    - #### requireBeanDescriptor

          public T requireBeanDescriptor(Boolean value)

      If true then implicit bean archives without bean descriptor file (beans.xml) are ignored by Weld

    - #### threadPoolSize

          public Integer threadPoolSize()

      The number of threads to be used by the Weld thread pool. The pool is shared across all CDI-enabled deployments and used primarily for parallel Weld bootstrap.

    - #### threadPoolSize

          public T threadPoolSize(Integer value)

      The number of threads to be used by the Weld thread pool. The pool is shared across all CDI-enabled deployments and used primarily for parallel Weld bootstrap.

Copyright © 2018 JBoss by Red Hat. All rights reserved.